Bug 197751 - [exp-run] Update KDE SC to 4.14.3
Summary: [exp-run] Update KDE SC to 4.14.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alonso Schaich
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-16 23:40 UTC by Alonso Schaich
Modified: 2015-03-14 19:21 UTC (History)
3 users (show)

See Also:


Attachments
svn patch (168.82 KB, patch)
2015-02-17 08:31 UTC, Alonso Schaich
no flags Details | Diff
Updated svn patch (168.25 KB, patch)
2015-02-18 09:43 UTC, Alonso Schaich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alonso Schaich freebsd_committer 2015-02-16 23:40:09 UTC
The update from KDE-4.14.2 in ports to 4.14.3 does not introduce any architectural changes or new ports. The following patch was generated with svn diff and will need to be applied using svn patch (or svnlite patch).
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-17 01:34:31 UTC
Reporter is Committer.

Alonso, can you attach the diff to this issue please
Comment 3 Alonso Schaich freebsd_committer 2015-02-17 08:31:41 UTC
Created attachment 153102 [details]
svn patch

It's attached now.
Comment 4 Antoine Brodin freebsd_committer 2015-02-17 19:21:53 UTC
Take for exp-run
Comment 5 Antoine Brodin freebsd_committer 2015-02-18 08:21:21 UTC
Exp-run couldn't start:

[00:02:25] ====>> Error: net-im/kopete-kde4 depends on nonexistent origin 'security/qca-ossl'; Please contact maintainer of the port to fix this.
[00:03:14] ====>> Error: Fatal errors encountered calculating dependencies
Comment 6 Alonso Schaich freebsd_committer 2015-02-18 09:43:54 UTC
Created attachment 153141 [details]
Updated svn patch
Comment 8 Raphael Kubo da Costa freebsd_committer 2015-02-22 17:53:47 UTC
Alonso, can you send the patch to Phab so Max and I can take a look and you can proceed with landing it to the tree?
Comment 9 commit-hook freebsd_committer 2015-03-11 23:12:36 UTC
A commit references this bug:

Author: alonso
Date: Wed Mar 11 23:12:23 UTC 2015
New revision: 381052
URL: https://svnweb.freebsd.org/changeset/ports/381052

Log:
  Update KDE SC to 4.14.3

  The kde@ team presents KDE SC 4.14.3, the last planed release
  of the KDE SC 4 series.

  In addition to the updates provided by the KDE SC developers, this
  update also addresses numerous FreeBSD and PORTS specific
  issues, found and solved by the kde@ team and area51 testers,
  most notorously Tobias C. Berner <tcberner@gmail.com>

  PR:		197751
  PR:		197871
  PR:		184996
  Reviewed by:	rakuco (mentor)
  Differential:	https://reviews.freebsd.org/D1950

Changes:
  head/Mk/bsd.kde4.mk
  head/accessibility/jovie/distinfo
  head/accessibility/kaccessible/distinfo
  head/accessibility/kmag/distinfo
  head/accessibility/kmousetool/distinfo
  head/accessibility/kmouth/distinfo
  head/arabic/kde4-l10n/distinfo
  head/archivers/ark/distinfo
  head/archivers/ark/files/
  head/archivers/ark/files/patch-git_cd8ad27
  head/astro/kstars/Makefile
  head/astro/kstars/distinfo
  head/astro/marble/distinfo
  head/audio/juk/distinfo
  head/audio/kio-audiocd/Makefile
  head/audio/kio-audiocd/distinfo
  head/audio/kmix/Makefile
  head/audio/kmix/distinfo
  head/audio/kmix/files/patch-mixer_oss
  head/audio/kscd/Makefile
  head/audio/kscd/distinfo
  head/audio/libkcddb/distinfo
  head/audio/libkcompactdisc/Makefile
  head/audio/libkcompactdisc/distinfo
  head/chinese/kde4-l10n-zh_CN/distinfo
  head/chinese/kde4-l10n-zh_TW/distinfo
  head/chinese/kde4-l10n-zh_TW/pkg-plist
  head/comms/kremotecontrol/distinfo
  head/deskutils/kcharselect/distinfo
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4/distinfo
  head/deskutils/kdepim4/files/patch-mailcommon__search__searchpattern.cpp
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepim4-runtime/distinfo
  head/deskutils/kdepimlibs4/distinfo
  head/deskutils/kdeplasma-addons/Makefile
  head/deskutils/kdeplasma-addons/distinfo
  head/deskutils/kdeplasma-addons/files/patch-applets__kimpanel__backend__ibus__ibus15__panel.cpp
  head/deskutils/kruler/distinfo
  head/deskutils/superkaramba/distinfo
  head/devel/cervisia/distinfo
  head/devel/dolphin-plugins/Makefile
  head/devel/dolphin-plugins/distinfo
  head/devel/kapptemplate/distinfo
  head/devel/kcachegrind/distinfo
  head/devel/kde-dev-scripts/distinfo
  head/devel/kde-dev-utils/distinfo
  head/devel/kdesdk4-kioslaves/distinfo
  head/devel/kdesdk4-strigi-analyzers/distinfo
  head/devel/kdesdk4-thumbnailers/distinfo
  head/devel/lokalize/distinfo
  head/devel/okteta/distinfo
  head/devel/p5-perlkde/Makefile
  head/devel/p5-perlkde/distinfo
  head/devel/p5-perlqt/Makefile
  head/devel/p5-perlqt/distinfo
  head/devel/poxml/Makefile
  head/devel/poxml/distinfo
  head/devel/py-krosspython/distinfo
  head/devel/py-pykde4/Makefile
  head/devel/py-pykde4/distinfo
  head/devel/ruby-korundum/Makefile
  head/devel/ruby-korundum/distinfo
  head/devel/ruby-krossruby/distinfo
  head/devel/ruby-qtruby/Makefile
  head/devel/ruby-qtruby/distinfo
  head/devel/smokegen/distinfo
  head/devel/smokekde/distinfo
  head/devel/smokeqt/distinfo
  head/devel/umbrello/distinfo
  head/editors/kate/distinfo
  head/french/kde4-l10n/distinfo
  head/games/blinken/distinfo
  head/games/bomber/distinfo
  head/games/bovo/distinfo
  head/games/granatier/distinfo
  head/games/kajongg/distinfo
  head/games/kanagram/distinfo
  head/games/kapman/distinfo
  head/games/katomic/distinfo
  head/games/kblackbox/distinfo
  head/games/kblocks/distinfo
  head/games/kbounce/distinfo
  head/games/kbreakout/distinfo
  head/games/kdiamond/distinfo
  head/games/kfourinline/distinfo
  head/games/kgoldrunner/distinfo
  head/games/khangman/distinfo
  head/games/kigo/distinfo
  head/games/killbots/distinfo
  head/games/kiriki/distinfo
  head/games/kjumpingcube/distinfo
  head/games/klickety/distinfo
  head/games/klines/distinfo
  head/games/kmahjongg/distinfo
  head/games/kmines/distinfo
  head/games/knavalbattle/distinfo
  head/games/knetwalk/distinfo
  head/games/kolf/distinfo
  head/games/kollision/distinfo
  head/games/konquest/distinfo
  head/games/kpat/distinfo
  head/games/kreversi/distinfo
  head/games/kshisen/distinfo
  head/games/ksirk/distinfo
  head/games/ksnakeduel/distinfo
  head/games/kspaceduel/distinfo
  head/games/ksquares/distinfo
  head/games/ksudoku/distinfo
  head/games/ktuberling/distinfo
  head/games/kubrick/distinfo
  head/games/libkdegames/distinfo
  head/games/libkmahjongg/distinfo
  head/games/lskat/distinfo
  head/games/pairs/distinfo
  head/games/palapeli/distinfo
  head/games/picmi/distinfo
  head/german/kde4-l10n/distinfo
  head/german/kde4-l10n/pkg-plist
  head/graphics/gwenview-kde4/Makefile
  head/graphics/gwenview-kde4/distinfo
  head/graphics/kamera-kde4/Makefile
  head/graphics/kamera-kde4/distinfo
  head/graphics/kcolorchooser/distinfo
  head/graphics/kdegraphics4-mobipocket/distinfo
  head/graphics/kdegraphics4-strigi-analyzer/distinfo
  head/graphics/kdegraphics4-svgpart/distinfo
  head/graphics/kdegraphics4-thumbnailers/distinfo
  head/graphics/kolourpaint/distinfo
  head/graphics/kqtquickcharts/distinfo
  head/graphics/ksaneplugin/distinfo
  head/graphics/ksnapshot/distinfo
  head/graphics/libkdcraw-kde4/Makefile
  head/graphics/libkdcraw-kde4/distinfo
  head/graphics/libkexiv2-kde4/distinfo
  head/graphics/libkipi-kde4/distinfo
  head/graphics/libksane/distinfo
  head/graphics/okular/Makefile
  head/graphics/okular/distinfo
  head/hebrew/kde4-l10n/distinfo
  head/hungarian/kde4-l10n/distinfo
  head/japanese/kde4-l10n/distinfo
  head/japanese/kiten/distinfo
  head/korean/kde4-l10n/distinfo
  head/korean/kde4-l10n/pkg-plist
  head/lang/kturtle/distinfo
  head/math/analitza/distinfo
  head/math/cantor/Makefile
  head/math/cantor/distinfo
  head/math/cantor/pkg-plist
  head/math/kalgebra/distinfo
  head/math/kbruch/distinfo
  head/math/kcalc/distinfo
  head/math/kig/distinfo
  head/math/kmplot/distinfo
  head/math/rocs/distinfo
  head/misc/kde4-l10n-bg/distinfo
  head/misc/kde4-l10n-bs/distinfo
  head/misc/kde4-l10n-ca/distinfo
  head/misc/kde4-l10n-ca/pkg-plist
  head/misc/kde4-l10n-ca_valencia/distinfo
  head/misc/kde4-l10n-cs/distinfo
  head/misc/kde4-l10n-cs/pkg-plist
  head/misc/kde4-l10n-da/distinfo
  head/misc/kde4-l10n-el/distinfo
  head/misc/kde4-l10n-en_GB/distinfo
  head/misc/kde4-l10n-en_GB/pkg-plist
  head/misc/kde4-l10n-es/distinfo
  head/misc/kde4-l10n-es/pkg-plist
  head/misc/kde4-l10n-et/distinfo
  head/misc/kde4-l10n-eu/distinfo
  head/misc/kde4-l10n-fa/distinfo
  head/misc/kde4-l10n-fi/distinfo
  head/misc/kde4-l10n-fi/pkg-plist
  head/misc/kde4-l10n-ga/distinfo
  head/misc/kde4-l10n-gl/distinfo
  head/misc/kde4-l10n-hi/distinfo
  head/misc/kde4-l10n-hr/distinfo
  head/misc/kde4-l10n-ia/distinfo
  head/misc/kde4-l10n-id/distinfo
  head/misc/kde4-l10n-is/distinfo
  head/misc/kde4-l10n-it/distinfo
  head/misc/kde4-l10n-it/pkg-plist
  head/misc/kde4-l10n-kk/distinfo
  head/misc/kde4-l10n-km/distinfo
  head/misc/kde4-l10n-lt/distinfo
  head/misc/kde4-l10n-lv/distinfo
  head/misc/kde4-l10n-mr/distinfo
  head/misc/kde4-l10n-nb/distinfo
  head/misc/kde4-l10n-nds/distinfo
  head/misc/kde4-l10n-nl/distinfo
  head/misc/kde4-l10n-nl/pkg-plist
  head/misc/kde4-l10n-nn/distinfo
  head/misc/kde4-l10n-pa/distinfo
  head/misc/kde4-l10n-ro/distinfo
  head/misc/kde4-l10n-si/Makefile
  head/misc/kde4-l10n-sk/distinfo
  head/misc/kde4-l10n-sk/pkg-plist
  head/misc/kde4-l10n-sl/distinfo
  head/misc/kde4-l10n-sr/distinfo
  head/misc/kde4-l10n-sr/pkg-plist
  head/misc/kde4-l10n-sv/distinfo
  head/misc/kde4-l10n-sv/pkg-plist
  head/misc/kde4-l10n-tg/Makefile
  head/misc/kde4-l10n-th/Makefile
  head/misc/kde4-l10n-tr/distinfo
  head/misc/kde4-l10n-ug/distinfo
  head/misc/kde4-l10n-wa/distinfo
  head/misc/kgeography/distinfo
  head/misc/klettres/distinfo
  head/misc/ktouch/Makefile
  head/misc/ktouch/distinfo
  head/misc/kwordquiz/distinfo
  head/misc/libkdeedu/distinfo
  head/misc/parley/distinfo
  head/multimedia/dragon/distinfo
  head/multimedia/kdemultimedia4-ffmpegthumbs/distinfo
  head/multimedia/kdemultimedia4-mplayerthumbs/distinfo
  head/net/kdenetwork4-filesharing/distinfo
  head/net/kdenetwork4-strigi-analyzers/distinfo
  head/net/kget/distinfo
  head/net/krdc/Makefile
  head/net/krdc/distinfo
  head/net/krfb/distinfo
  head/net/zeroconf-ioslave/distinfo
  head/net-im/kopete-kde4/Makefile
  head/net-im/kopete-kde4/distinfo
  head/polish/kde4-l10n/distinfo
  head/polish/kde4-l10n/pkg-plist
  head/portuguese/kde4-l10n/distinfo
  head/portuguese/kde4-l10n-pt_BR/distinfo
  head/portuguese/kde4-l10n-pt_BR/pkg-plist
  head/print/kde4-print-manager/distinfo
  head/russian/kde4-l10n/distinfo
  head/science/kalzium/distinfo
  head/science/step/distinfo
  head/security/kgpg-kde4/distinfo
  head/security/kwalletmanager/distinfo
  head/sysutils/baloo/distinfo
  head/sysutils/baloo/files/patch-CMakeLists.txt
  head/sysutils/baloo-widgets/distinfo
  head/sysutils/filelight-kde4/distinfo
  head/sysutils/kcron/distinfo
  head/sysutils/kdf/distinfo
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/kfilemetadata/distinfo
  head/sysutils/kfloppy/distinfo
  head/sysutils/ksysguardd/files/patch-CMakeLists.txt
  head/sysutils/ksystemlog/distinfo
  head/sysutils/kuser/distinfo
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/nepomuk-core/distinfo
  head/sysutils/nepomuk-widgets/distinfo
  head/sysutils/sweeper/distinfo
  head/textproc/kompare/distinfo
  head/textproc/libkomparediff2/distinfo
  head/ukrainian/kde4-l10n/distinfo
  head/ukrainian/kde4-l10n/pkg-plist
  head/www/kdewebdev4/distinfo
  head/x11/kde4-baseapps/Makefile
  head/x11/kde4-baseapps/distinfo
  head/x11/kde4-runtime/Makefile
  head/x11/kde4-runtime/distinfo
  head/x11/kde4-runtime/files/patch-kioslave__bookmarks__kio_bookmarks.cpp
  head/x11/kde4-runtime/files/patch-kioslave__sftp__kio_sftp.cpp
  head/x11/kde4-workspace/Makefile
  head/x11/kde4-workspace/distinfo
  head/x11/kde4-workspace/files/patch-CVE-2014-8651
  head/x11/kde4-workspace/files/patch-kinfocenter
  head/x11/kde4-workspace/files/patch-kinfocenter__Modules__base__CMakeLists.txt
  head/x11/kde4-workspace/files/patch-usbview
  head/x11/kdelibs4/Makefile
  head/x11/kdelibs4/distinfo
  head/x11/kdelibs4/files/patch-git_0df92439
  head/x11/kgamma/distinfo
  head/x11/konsole/distinfo
  head/x11-clocks/amor/distinfo
  head/x11-clocks/kteatime/distinfo
  head/x11-clocks/ktimer/distinfo
  head/x11-clocks/ktux/distinfo
  head/x11-themes/kde4-base-artwork/distinfo
  head/x11-themes/kde4-icons-oxygen/distinfo
  head/x11-themes/kde4-wallpapers/distinfo
  head/x11-themes/kdeartwork4/distinfo